models/mapobjects/tree2/branch2
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color        
	}
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/lightgrid
{
 qer_trans 0.5
 surfaceparm nodraw
 surfaceparm nolightmap
 surfaceparm nonsolid
 surfaceparm detail
 surfaceparm nomarks
 surfaceparm trans
 surfaceparm lightgrid
}

textures/liquids/clear_ripple1
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}

}

textures/sfx/rain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
        deformvertexes move 3 1 0  sin 0 5 0 0.2
        deformvertexes move .6 3.3 0  sin 0 5 0 0.4
        deformvertexes wave 30 sin 0 10 0 .2
	cull none
       
	{
		map textures/sfx/rain.tga
                tcmod scroll .5 -8
                tcmod turb .1 .25 0 -.1
                blendfunc gl_one gl_one
        }
        {
		map textures/sfx/rain.tga
                tcmod scroll .01 -6.3
               
                blendfunc gl_one gl_one
        }
       
     
}

textures/base_floor/proto_grate
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	cull none
        nopicmip

	
	{
		map textures/base_floor/proto_grate.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/dark_tin2
{   
   
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen vertex
	}  
        {
		map textures/base_trim/dark_tin2.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
         
}

textures/gothic_light/ironcrosslt1_1000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrosslt1_3000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrosslt1_5000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/pentagram_light1_2k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}

	
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_light/pentagram_light1_4k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}

	
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_trim/x_noblight
{   
   q3map_lightimage textures/gothic_trim/x_noblightfx.tga
   q3map_surfacelight 100
        {
                map textures/sfx/firegorre2.tga       
                tcmod scroll .1 1
                tcmod scale 1 1
	}   
        {
		map textures/gothic_trim/x_noblight.tga
                blendfunc blend
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {
		map textures/gothic_trim/x_noblightfx.tga
                blendfunc add
		rgbgen wave sin .5 .5 0 .1
	} 
}

textures/liquids/clear_calm1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	
	

}

textures/liquids/lavahellflat_400
{
	
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 400
	cull disable
	
	tesssize 128
	cull disable
	
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
	
}

models/mapobjects/baph/baphomet
{      

        {
                map textures/sfx/firewalla.tga
                tcmod scroll 0.1 1
                rgbgen identity
	}  
        {
		map models/mapobjects/baph/baphomet.tga
                blendfunc blend
		rgbgen vertex
	}
       
}

models/mapobjects/spotlamp/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
                tcmod scroll .3 0
                blendfunc gl_one gl_one
        }
        
	
         
         
        
     
}

models/mapobjects/spotlamp/spotlamp
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/spotlamp/spotlamp.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

models/mapobjects/spotlamp/spotlamp_l
{
      cull disable
      q3map_surfacelight	200

        {
                map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
        }


}

textures/sfx/blackness
{	
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/sfx/blackness.tga
	}
}

textures/sfx/bounce_dirt
{

	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/sfx/bounce_dirt.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}

}

textures/sfx/flame1side
{
		qer_editorimage textures/sfx/flame1side.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/lavabeam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nomipmaps
	{
		map textures/sfx/lavabeam.tga
                tcmod scroll 999 0
                blendfunc add
        }
     
}

textures/skin/skin6_trans
{
	qer_editorimage textures/skin/skin6.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	
	}
	{
		map textures/skin/skin6.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero

	
	}
}

textures/xccc/xcccfogdm2
{
qer_editorimage textures/xccc/xcccfogdm1.tga
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
qer_nocarve
fogparms ( 0.95 0.95 0.95 ) 26000
}

textures/xccc/ceilingtechplain_r
{
qer_editorimage textures/xccc/ceilingtechplain_r.tga
surfaceparm metalsteps 
{
map $lightmap
rgbgen identity
}
{
map textures/xccc/ceilingtechplain_r.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/xccc/largerwallblock_r_g
{
qer_editorimage textures/xccc/largerwallblock_r_g.tga
q3map_normalimage textures/xccc/largerwallblock_r_g_bump.tga
surfaceparm metalsteps 
q3map_lightmapgamma 1.2
q3map_lightmapsamplesize 4
{
map $lightmap
rgbgen identity
}
{
map textures/xccc/largerwallblock_r_g.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/xccc/largerblock_r_g
{
qer_editorimage textures/xccc/largerblock_r_g.tga
q3map_normalimage textures/xccc/largerblock_r_g_bump.tga
q3map_lightmapgamma 1.2
surfaceparm metalsteps 
q3map_lightmapsamplesize 4

{
map $lightmap
rgbgen identity
}
{
map textures/xccc/largerblock_r_g.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/gothic_blockh/largeblockfloor4_hirest
{
qer_editorimage textures/gothic_blockh/largeblockfloor4_hirest.tga

{
map $lightmap
rgbgen identity
}
{
map textures/gothic_blockh/largeblockfloor4_hirest.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/gothic_blockh/largeblockfloor4_hirest_spec
{
{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/gothic_blockh/largeblockfloor4_hirest_spec.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
}
}

textures/xccc/xccc_column
{
qer_editorimage textures/xccc/xccc_column.tga
surfaceparm metalsteps 
{
map $lightmap
rgbgen identity
}
{
map textures/xccc/xccc_column.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/xccc/xccc_towerblue
{
qer_editorimage textures/xccc/xccc_towerblue.tga
q3map_normalimage textures/xccc/xccc_towerblue_bump.tga
surfaceparm metalsteps 
{
map $lightmap
rgbgen identity
}
{
map textures/xccc/xccc_towerblue.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/xccc3/xccc_rock3
{
	qer_editorimage textures/xccc3/xccc_rock3.tga
	q3map_normalimage textures/xccc3/xccc_rock3_bmp.tga
	q3map_nonplanar 
	qer_editorimage textures/common/terrain.jpg
	q3map_alphamod dotproduct2 ( 0 0 1 )
	q3map_shadeangle 180
	q3map_tcmod rotate 189
	q3map_globaltexture
	q3map_lightmapsamplesize 4
{
map $lightmap
rgbgen identity
}
{
map textures/xccc3/xccc_rock3.tga
blendfunc gl_dst_color gl_zero
alphagen vertex
tcmod scale 0.125 0.125
rgbgen identity
}
}

textures/xccc3/x_dm4_telerain
{
	qer_editorimage textures/xccc3/x_dm4_telerain1.jpg
	q3map_lightfilter
	q3map_surfacelight 256
	surfaceparm nolightmap
	surfaceparm nonsolid
	nopicmip
	q3map_nonplanar
	q3map_shadeangle 180
	
	surfaceparm trans
	sort 16
{
	animmap 16 textures/xccc3/x_dm4_telerain1.jpg textures/xccc3/x_dm4_telerain2.jpg textures/xccc3/x_dm4_telerain3.jpg textures/xccc3/x_dm4_telerain4.jpg textures/xccc3/x_dm4_telerain4.jpg textures/xccc3/x_dm4_telerain3.jpg textures/xccc3/x_dm4_telerain2.jpg
	blendfunc add
	alphafunc gt0
	alphagen const 0.25
	depthwrite 
	rgbgen wave sawtooth 0.0 1.5 0.0 4
	tcmod scroll -0.5 1
}
{
	animmap 16 textures/xccc3/x_dm4_telerain1.jpg textures/xccc3/x_dm4_telerain2.jpg textures/xccc3/x_dm4_telerain3.jpg textures/xccc3/x_dm4_telerain4.jpg textures/xccc3/x_dm4_telerain4.jpg textures/xccc3/x_dm4_telerain3.jpg textures/xccc3/x_dm4_telerain2.jpg
	blendfunc add
	alphafunc gt0
	alphagen const 0.5
	depthwrite 
	rgbgen wave sawtooth 0.1 1.5 0.1 4
	tcmod scroll 0.25 1.25
}
{
	map $lightmap
	depthfunc equal
	blendfunc filter
	rgbgen identity
}
}

textures/xccc3/x_dm4_flare
{
	qer_editorimage textures/xccc3/x_dm4_flare.jpg
	q3map_lightfilter
	q3map_surfacelight 256
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_nonplanar
	q3map_shadeangle 180
	nopicmip
	surfaceparm trans
	sort 16
{
	clampmap textures/xccc3/x_dm4_flare.jpg
	blendfunc add
	alphagen const 0.75 
	alphafunc gt0
	depthwrite
	rgbgen wave sawtooth 0.825 1.5 0.625 12
	tcmod rotate -128
}
{
	map textures/xccc3/x_dm4_flareback.jpg
	blendfunc add
	alphafunc lt128
	alphagen const 0.5
	depthwrite
	rgbgen wave sawtooth 0.825 1.5 0.625 24
	tcmod rotate 32
}
{
	map $lightmap
	blendfunc filter
	rgbgen identity
	depthfunc equal
}
}

textures/skies/proto_sky_back
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture	
	q3map_surfacelight 30
	



	
	{
		map textures/skies/proto_sky.tga
		tcmod scroll .02 .04
		tcmod scale 0.0625 0.0625
		
	}
	{
		map textures/skies/proto_sky2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.005 0.005
                
		tcmod scale 0.25 0.25
	}
        
     
}

